> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update flow structure

> Updates a WhatsApp Flow's structure. Note that the file must be attached as form-data.



## OpenAPI

````yaml /openapi/endpoints/ycloud-api-v2.yaml patch /whatsapp/flows/{flowId}/assets
openapi: 3.0.0
info:
  description: >-
    The [YCloud](https://ycloud.com) API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer). Our
    API is designed to have predictable, resource-oriented URLs, return
    [JSON](https://www.json.org) responses, and use standard HTTP response codes
    and verbs.
  version: v2
  title: YCloud API
  termsOfService: https://ycloud.com/terms-service
  contact:
    email: service@ycloud.com
servers:
  - url: https://api.ycloud.com/v2
    description: Base URL
security:
  - api_key: []
tags:
  - name: Balance
  - name: Contacts
  - name: Custom Events
  - name: Emails
  - name: SMS
  - name: Unsubscribers
  - name: Verify
  - name: Voices
  - name: Webhook Endpoints
  - name: WhatsApp Business Accounts
  - name: WhatsApp Inbound Messages
  - name: WhatsApp Media
  - name: WhatsApp Messages
  - name: WhatsApp Blocked Users
  - name: WhatsApp Groups
  - name: WhatsApp Calling
  - name: WhatsApp Phone Numbers
  - name: WhatsApp Templates
  - name: WhatsApp Flows
  - name: Meta Business Agent
  - name: WhatsApp Group Messages
externalDocs:
  description: Homepage
  url: https://ycloud.com
paths:
  /whatsapp/flows/{flowId}/assets:
    patch:
      tags:
        - WhatsApp Flows
      summary: Update flow structure
      description: >-
        Updates a WhatsApp Flow's structure. Note that the file must be attached
        as form-data.
      operationId: whatsapp_flow-update-structure
      parameters:
        - name: flowId
          in: path
          description: Flow ID.
          required: true
          schema:
            type: string
            example: flow-1
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - flowJson
              properties:
                flowJson:
                  type: string
                  format: binary
                  description: JSON file containing the Flow structure.
        required: true
      responses:
        '200':
          description: Successfully updated the flow structure.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the operation was successful.
                    example: true
        '400':
          description: Bad request. The Flow structure may be invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the operation was successful.
                    example: false
                  validationErrors:
                    type: array
                    description: List of validation errors.
                    items:
                      $ref: '#/components/schemas/WhatsappFlowValidationError'
components:
  schemas:
    WhatsappFlowValidationError:
      type: object
      description: Represents a validation error in a WhatsApp Flow.
      properties:
        error:
          type: string
          description: Error code.
          example: INVALID_PROPERTY_VALUE
        errorType:
          type: string
          description: Error type.
          example: FLOW_JSON_ERROR
        message:
          type: string
          description: Error message.
          example: Invalid value found for property 'type'.
        lineStart:
          type: integer
          description: Start line of the error.
          example: 10
        lineEnd:
          type: integer
          description: End line of the error.
          example: 10
        columnStart:
          type: integer
          description: Start column of the error.
          example: 21
        columnEnd:
          type: integer
          description: End column of the error.
          example: 34
        pointers:
          type: array
          description: List of pointers to the error location.
          items:
            type: object
            properties:
              lineStart:
                type: integer
                description: Start line of the error.
                example: 10
              lineEnd:
                type: integer
                description: End line of the error.
                example: 10
              columnStart:
                type: integer
                description: Start column of the error.
                example: 21
              columnEnd:
                type: integer
                description: End column of the error.
                example: 34
              path:
                type: string
                description: Path to the error location.
                example: screens[0].layout.children[0].type
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.